> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Allowed Ips

> List all allowed IP addresses for the tenant.



## OpenAPI

````yaml get /admin/settings/ip-blocking/allowed-ips
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /admin/settings/ip-blocking/allowed-ips:
    get:
      tags:
        - provider
        - admin
      summary: List Allowed Ips
      description: List all allowed IP addresses for the tenant.
      operationId: list_allowed_ips_admin_settings_ip_blocking_allowed_ips_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/AllowedIPResponse'
                type: array
                title: >-
                  Response List Allowed Ips Admin Settings Ip Blocking Allowed
                  Ips Get
components:
  schemas:
    AllowedIPResponse:
      properties:
        id:
          type: string
          title: Id
        ipAddress:
          type: string
          title: Ipaddress
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        createdDate:
          type: string
          format: date-time
          title: Createddate
        createdByName:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdbyname
      type: object
      required:
        - id
        - ipAddress
        - createdDate
      title: AllowedIPResponse
      description: Schema for an allowed IP response.

````